;InnoSetupVersion=4.2.6

[Setup]
AppName=Trojan Remover
AppVerName=Trojan Remover 6.3.1
AppId=Trojan Remover
AppVersion=6.3.1
AppPublisher=Simply Super Software
AppPublisherURL=http://www.simplysup.com/tremover/support.html
AppMutex=NHTTR,NHTTRJSCN
DefaultDirName={pf}\Trojan Remover
DefaultGroupName=Trojan Remover
OutputBaseFilename=trjsetup
Compression=lzma
LicenseFile=embedded\License.txt
InfoAfterFile=embedded\InfoAfter.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\RmvTrjan.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\rmt.dta"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{sys}\rmvtrjan.trb"; DestDir: "{sys}"; 
Source: "{sys}\rmt.trb"; DestDir: "{sys}"; 
Source: "{app}\Trjscan.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{sys}\trjscan.trb"; DestDir: "{sys}"; 
Source: "{app}\trupd.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{sys}\trupd.trb"; DestDir: "{sys}"; 
Source: "{app}\unp.exe"; DestDir: "{app}"; 
Source: "{app}\Trshlex.dll"; DestDir: "{app}"; Flags: regserver uninsrestartdelete 
Source: "{win}\undo.reg"; DestDir: "{win}"; 
Source: "{app}\trunins.exe"; DestDir: "{app}"; 
Source: "{sys}\cabinet.dll"; DestDir: "{sys}"; Flags: restartreplace sharedfile 
Source: "{sys}\UNRAR3.dll"; DestDir: "{sys}"; Flags: restartreplace sharedfile 
Source: "{sys}\unacev2.dll"; DestDir: "{sys}"; Flags: restartreplace sharedfile 
Source: "{app}\TRJ_LIST.DTA"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\TRJLIST2.DTA"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\TRJLIST3.DTA"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\TRJLIST4.DTA"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\REFLIST.DTA"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\trweb.dta"; DestDir: "{app}"; 
Source: "{app}\TrjHelp.hlp"; DestDir: "{app}"; 
Source: "{app}\TrjHelp.cnt"; DestDir: "{app}"; 
Source: "{app}\readme.txt"; DestDir: "{app}"; 
Source: "{app}\trjintro.wav"; DestDir: "{app}"; 

[Registry]
Root: HKLM; Subkey: "SOFTWARE\Simply Super Software"; Flags: uninsdeletekeyifempty 
Root: HKLM; Subkey: "SOFTWARE\Simply Super Software\Trojan Remover"; ValueName: "AppPath"; ValueType: String; ValueData: "{app}"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "SOFTWARE\Simply Super Software\Trojan Remover"; ValueName: "VersionInfo"; ValueType: String; ValueData: "6.3.1"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "SOFTWARE\Simply Super Software\Trojan Remover"; ValueName: "ManifestVersion"; ValueType: String; ValueData: "4.9.2"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "SOFTWARE\Simply Super Software\Trojan Remover"; ValueName: "DatabaseVer"; ValueType: String; ValueData: "6209"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "SOFTWARE\Simply Super Software\Trojan Remover"; ValueName: "ScanVersion"; ValueType: String; ValueData: "6.3.1"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "SOFTWARE\Simply Super Software\Trojan Remover"; ValueName: "ShellVersion"; ValueType: String; ValueData: "1.0.3"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "SOFTWARE\Simply Super Software\Trojan Remover"; ValueName: "HelpVersion"; ValueType: String; ValueData: "6.5"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "SOFTWARE\Simply Super Software\Trojan Remover"; ValueName: "HelpIdxVersion"; ValueType: String; ValueData: "6.5"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "SOFTWARE\Simply Super Software\Trojan Remover"; ValueName: "UpdVersion"; ValueType: String; ValueData: "1.2.3"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "SOFTWARE\Simply Super Software\Trojan Remover"; ValueName: "PackVersion"; ValueType: String; ValueData: "1.9.0"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "SOFTWARE\Simply Super Software\Trojan Remover"; ValueName: "ReadMeVersion"; ValueType: String; ValueData: "631"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "SOFTWARE\Simply Super Software\Trojan Remover"; ValueName: "TRWebVersion"; ValueType: String; ValueData: "1.0.6"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "SOFTWARE\Simply Super Software\Trojan Remover"; ValueName: "TRUnInsVersion"; ValueType: String; ValueData: "1.0.0"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows\CurrentVersion\Run"; ValueName: "TrojanScanner"; ValueType: String; ValueData: "{app}\Trjscan.exe"; Flags: uninsdeletevalue 

[UninstallRun]
Filename: "{app}\trunins.exe"; RunOnceId: "DelTRServices"; Flags: skipifdoesntexist 

[Icons]
Name: "{group}\Trojan Remover"; Filename: "{app}\RmvTrjan.exe"; WorkingDir: "{app}"; Comment: "Scan your system with Trojan Remover"; 
Name: "{commondesktop}\Trojan Remover"; Filename: "{app}\RmvTrjan.exe"; WorkingDir: "{app}"; Comment: "Scan your system with Trojan Remover"; 
Name: "{group}\Trojan Remover Help"; Filename: "{app}\TrjHelp.hlp"; WorkingDir: "{app}"; Comment: "Access the Trojan Remover helpfiles"; 
Name: "{group}\Uninstall Trojan Remover"; Filename: "{uninstallexe}"; Comment: "Uninstall Trojan Remover"; 

[UninstallDelete]
Type: files; Name: "{app}\trjrest.dta"; 
Type: files; Name: "{app}\trjrest*.dta"; 
Type: files; Name: "{app}\trjfiles.dta"; 
Type: files; Name: "{app}\reflist.dta"; 
Type: files; Name: "{app}\CLNUNINS.TXT"; 
Type: files; Name: "{app}\rmvtrjn*.log"; 
Type: files; Name: "{app}\trjscan*.log"; 
Type: files; Name: "{app}\readme.txt"; 
Type: files; Name: "{app}\Rmvtrjan.exe"; 
Type: files; Name: "{app}\rmvtrjan.exe.manifest"; 
Type: files; Name: "{app}\Trjscan.exe"; 
Type: files; Name: "{app}\trupd.exe"; 
Type: files; Name: "{app}\unp.exe"; 
Type: files; Name: "{app}\trtray.exe"; 
Type: files; Name: "{app}\trlog.txt"; 
Type: files; Name: "{app}\Trshlex.dll"; 
Type: files; Name: "{app}\Trjhelp.hlp"; 
Type: files; Name: "{app}\Trjhelp.GID"; 
Type: files; Name: "{app}\Trjhelp.cnt"; 
Type: files; Name: "{app}\trjintro.wav"; 
Type: files; Name: "{win}\RTRJ_WIN.TMP"; 
Type: files; Name: "{win}\RTRJ_SYS.TMP"; 
Type: files; Name: "{sys}\TRTRAY.TRB"; 
Type: files; Name: "{sys}\RMT.TRB"; 
Type: files; Name: "{app}\UPDLOG.TXT"; 
Type: files; Name: "{app}\TRLOG.TXT"; 
Type: files; Name: "{app}\trweb.dta"; 
Type: dirifempty; Name: "{app}"; 

[CustomMessages]
default.NameAndVersion=%1 version %2
default.AdditionalIcons=Additional icons:
default.CreateDesktopIcon=Create a &desktop icon
default.CreateQuickLaunchIcon=Create a &Quick Launch icon
default.ProgramOnTheWeb=%1 on the Web
default.UninstallProgram=Uninstall %1
default.LaunchProgram=Launch %1
default.AssocFileExtension=&Associate %1 with the %2 file extension
default.AssocingFileExtension=Associating %1 with the %2 file extension...

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
